/***************************************************************************
	OctreeCHCSceneManagerDll.cpp  -  description
	-------------------
	begin                : Mon May 12 2003
	copyright            : (C) 2003-2006 by Jose A Milan && Tuan Kuranes
	email                : spoke2@supercable.es && tuan.kuranes@free.fr
***************************************************************************/

/***************************************************************************
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  * 
*   it under the terms of the GNU Lesser General Public License as        *
*   published by the Free Software Foundation; either version 2 of the    *
*   License, or (at your option) any later version.                       *
*                                                                         *
***************************************************************************/

#include "OctreeCHCPrecompiledHeaders.h"

#include "OgreRoot.h"
#include "OgreVector3.h"
#include "OgreColourValue.h"
 
#include "OctreeCHCSceneManager.h"

using namespace Ogre;

namespace OgreOctreeCHC
{
    OctreeCHCSceneManagerFactory* OctreeCHCPlugin;

    extern "C" void _OctreeCHCExport dllStartPlugin(void)
    {
	    // Create new scene manager  Factory
	    OctreeCHCPlugin = new OctreeCHCSceneManagerFactory();

	    // Register  Factory
	    Root::getSingleton().addSceneManagerFactory(OctreeCHCPlugin);
    }

    extern "C" void _OctreeCHCExport dllShutdownPlugin(void)
    {	
        Root::getSingleton().removeSceneManagerFactory(OctreeCHCPlugin);
    }

    extern "C" void _OctreeCHCExport dllStopPlugin(void)
    {
	    delete OctreeCHCPlugin;
    }
}
